#
apt-get update
apt-get install mc cmake libmysql++-dev libmysql++3 -y

#Instalar MYSQL sem senha
export DEBIAN_FRONTEND=noninteractive
apt-get -q -y install mysql-server

#configurar SENHA do MYSQL
mysqladmin -u root password root


#bcm2835
wget www.lt38c.hturbo.com/bcm2835-1.45.tar.gz -O /tmp/bcm2835.tar.gz
cd /tmp
tar -zxvf bcm2835.tar.gz
cd bcm2835-1.45
./configure
make #compilar
make check #checar
make install #instalar

#wiringPi
cd /tmp
wget www.lt38c.hturbo.com/wiringPi-5edd177.tar.gz -O /tmp/wiringPi.tar.gz
tar -zxvf wiringPi.tar.gz
cd wiringPi-5edd177
./build #compila,checa e instala



#Criacao de pastas e downloads
mkdir /lt38c
mkdir /lt38c/2015_2s_sensor_presenca
mkdir /lt38c/2015_2s_sensor_presenca/arquivos.sys
mkdir /lt38c/2015_2s_sensor_presenca/fontes.c
mkdir /lt38c/2015_2s_sensor_presenca/maff-mht
mkdir /lt38c/2015_2s_sensor_presenca/mysql.sql
mkdir /lt38c/2015_2s_sensor_presenca/site
mkdir /lt38c/2015_2s_sensor_presenca/history
mkdir /lt38c/2015_2s_sensor_presenca/exe
mkdir /lt38c/2015_2s_sensor_presenca/videos
mkdir /lt38c/2015_2s_sensor_presenca/apt

#bkp dos arquivos.sys
wget www.lt38c.hturbo.com/Projetos/tmp/2015_2s_sensor_presenca/arquivos.sys/config.txt -O /tmp/config.txt
chmod 755 /tmp/config.txt
chown root:root /tmp/config.txt
cp /tmp/config.txt /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/config.txt /boot

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/.bashrc -O /tmp/.bashrc
chmod 644 /tmp/.bashrc
chown root:root /tmp/.bashrc
cp /tmp/.bashrc /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/.bashrc /root

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/my.cnf -O /tmp/my.cnf
chmod 644 /tmp/my.cnf
chown root:root /tmp/.bashrc
cp /tmp/my.cnf /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/my.cnf /etc/mysql

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/profile -O /tmp/profile
chmod 644 /tmp/profile
chown root:root /tmp/profile
cp /tmp/profile /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/profile /etc

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/rc.local -O /tmp/rc.local
chmod 755 /tmp/rc.local
chown root:root /tmp/rc.local
cp /tmp/rc.local /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/rc.local /etc/init.d

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/locale -O /tmp/locale
chmod 644 /tmp/locale
chown root:root /tmp/locale
cp /tmp/locale /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/locale /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/keyboard -O /tmp/keyboard
chmod 644 /tmp/keyboard
chown root:root /tmp/keyboard
cp /tmp/keyboard /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/keyboard /etc/default

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/timezone -O /tmp/timezone
chmod 644 /tmp/timezone
chown root:root /tmp/timezone
cp /tmp/timezone /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/timezone /etc

wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/arquivos.sys/inittab -O /tmp/inittab
chmod 644 /tmp/inittab
chown root:root /tmp/initab
cp /tmp/inittab /lt38c/2015_2s_sensor_presenca/arquivos.sys
cp /lt38c/2015_2s_sensor_presenca/arquivos.sys/inittab /etc
#fim do bkp dos arquivos.sys



wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/history/history -O /tmp/history
cp /tmp/history /lt38c/2015_2s_sensor_presenca/history


#bkp do FONTES.C
wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/fontes.c/codigo1.c -O /tmp/codigo1.c
cp /tmp/codigo1.c /lt38c/2015_2s_sensor_presenca/fontes.c
#fim do bkp da FONTE.C



#bkp do video 
wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/videos/funionamento_do_teclado.mp4 -O /tmp/funionamento_do_teclado.mp4
cp /tmp/funionamento_do_teclado.mp4 /lt38c/2015_2s_sensor_presenca/videos/funionamento_do_teclado.mp4
#fim do kkp do video

#bkp dos maff
wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/maff-mht/maff.tar.gz -O /tmp/maff.tar.gz
chmod 644 /tmp/maff.tar.gz
chown root:root /tmp/maff.tar.gz
cp /tmp/maff.tar.gz /lt38c/2015_2s_sensor_presenca/maff-mht/maff.tar.gz
cd /lt38c/2015_2s_sensor_presenca/maff-mht/
tar -zxvf maff.tar.gz
rm -rf *.gz
cd /tmp
#fim do bkp maff

#bkp do BANCO DE DADOS
wget www.lt38c.hturbo.com/Projetos/2015_2s_sensor_presenca/mysql.sql/projeto.sql -O /tmp/projeto.sql
cp /tmp/projeto.sql /lt38c/2015_2s_sensor_presenca/mysql.sql

#Restaurar BANCO DE DADOS
cd /lt38c/2015_2s_sensor_presenca/mysql.sql
mysql -u root -proot -Bse "create database projeto"
cat projeto.sql | mysql -u root -proot projeto

#Configurar DATA
dpkg-reconfigure -f noninteractive tzdata

#Compilaao do programa
gcc -o /lt38c/2015_2s_sensor_presenca/fontes.c/codigo1.c -lmysqlclient -o /lt38c/2015_2s_sensor_presenca/exe/exe -l bcm2835
