#include<stdio.h>
#include<stdlib.h>
#include<bcm2835.h>
#include<time.h>
#include<mysql/mysql.h>
#include<string.h>

#define SENSOR RPI_GPIO_P1_07
#define LED RPI_GPIO_P1_11
#define ACTIVE_VALUE 1

int gravar_banco();int sensoriamento();int conectarBanco();void convertData(char *string);void convertHora(char *string);
MYSQL conexao;
char data[15];
char hora[15];

void main()
{
 int x=conectarBanco("localhost","root","root","projeto");
 if(x=1)
 sensoriamento();
}

int sensoriamento()
{
 if(!bcm2835_init())
 {
  printf("por favor executar como super usuario\n");
  return EXIT_FAILURE;
 }
 bcm2835_gpio_fsel(SENSOR, BCM2835_GPIO_FSEL_INPT);
 bcm2835_gpio_fsel(LED,BCM2835_GPIO_FSEL_OUTP);
 bcm2835_gpio_set_pud(SENSOR, BCM2835_GPIO_PUD_UP);
 uint8_t state = ACTIVE_VALUE;
 while(1)
 {
  state=bcm2835_gpio_lev(SENSOR);
  if(state!=ACTIVE_VALUE)
  {
   printf("Nada detectado\n");
   sleep(2); 
  }
  else
  {
   gravarBanco();
   printf("Algo foi detectado\nGravando no banco\n");
   sleep(2);
  }
 }
}

int gravarBanco()
{
 time_t timer = time(NULL);
 char *dataHora;
 dataHora = ctime(&timer);
 convertData(dataHora);
 convertHora(dataHora);
 char comando[150]="insert into sensor(data, hora, sensor) values('";
 strcat(comando,data);
 strcat(comando,"','");
 strcat(comando,hora);
 strcat(comando,"','BCM2835_PIR');");
 mysql_query(&conexao,comando);
}

int conectarBanco(char endereco[], char usuario[], char senha[], char banco[])
{
 mysql_init(&conexao);
 if(mysql_real_connect(&conexao,endereco,usuario,senha,banco,0,NULL,0))
 {
  printf("banco conectado!!!\n");
  return 1;
 }
 else
 {
  printf("Ocorreu um erro ao conectar banco!!!\n");
  return 0;
 }
}
void convertData(char *string)
{
 data[0]=string[8];
 data[1]=string[9];
 data[2]=string[7];
 data[3]=string[4];
 data[4]=string[5];
 data[5]=string[6];
 data[6]=string[7];
 data[7]=string[20];
 data[8]=string[21];
 data[9]=string[22];
 data[10]=string[23];
}

void convertHora(char *string)
{
 hora[0]=string[11];
 hora[1]=string[12];
 hora[2]=string[13];
 hora[3]=string[14];
 hora[4]=string[15];
 hora[5]=string[16];
 hora[6]=string[17];
 hora[7]=string[18];
}
